<?php

include(dirname(__FILE__).'/../../config/config.inc.php');
include(dirname(__FILE__).'/../../header.php');
include_once(dirname(__FILE__) . '/behbankpayment.php');

global $cart;
if (!$cart->id_customer)
Tools::redirect('authentication.php?back=order.php');

$currency_default = Currency::getCurrency(intval(Configuration::get('PS_CURRENCY_DEFAULT')));
$behbankpayment= new behbankpayment();

$order_cart = new Cart(intval($_COOKIE["OrderId"]));
$customer = new Customer($order_cart->id_customer);

$PurchaseAmount = $_COOKIE["PurchaseAmount"];
$rial_id = Currency::getIdByIsoCode('IRR');
$purchase_currency = new Currency($rial_id);
$current_currency = new Currency($cookie->id_currency);
if($cookie->id_currency == $purchase_currency->id)
$OrderAmount = number_format($order_cart->getOrderTotal(true, 3), 0, '', '');
else
$OrderAmount= number_format($behbankpayment->convertPriceFull($order_cart->getOrderTotal(true, 3), $current_currency, $purchase_currency), 0, '', '');

$result = $behbankpayment->confirmPayment($OrderAmount);
if ($result === true)
{
	if($PurchaseAmount==$OrderAmount)
	$behbankpayment->validateOrder(intval($_COOKIE["OrderId"]), _PS_OS_PAYMENT_,$order_cart->getOrderTotal(true, 3), $behbankpayment->displayName, 'Pay Accepted. Transaction ID: '.$_POST['paymentNumber'], array(), $cookie->id_currency,false, $customer->secure_key);
	else
	$behbankpayment->validateOrder(intval($_COOKIE["OrderId"]), _PS_OS_ERROR_,$PurchaseAmount, $behbankpayment->displayName, 'Pay Error. Transaction ID: '.$_POST['paymentNumber'], array(), $purchase_currency,false, $customer->secure_key);
	setcookie("OrderId", "", -1);
	setcookie("PurchaseAmount","", -1);
	if (!$customer->is_guest)
	Tools::redirect('history.php');
	$current = new Order($behbankpayment->currentOrder);
	Tools::redirect('guest-tracking.php?order_reference='.$current->reference.'&email='.$customer->email);
}
else
{
	$behbankpayment->showMessages('Pay Cancelled.');
}

include_once(dirname(__FILE__).'/../../footer.php');
